FilterPreference (CMDB Model API)
Keywords: com.collation.platform.model.gui.preferences.FilterPreference interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.gui.preferences
Interface FilterPreference

All Superinterfaces:
  ModelObject, Preference, ProductModelObject, java.io.Serializable

    public interface FilterPreference

extends Preference

Represents a user's preferences

Persistable:
  true

Method Summary
`boolean` | `getContainedNodes()`
`int` | `getDependencyLevels()`
`long` | `getObjectId()`
`java.lang.String` | `getTypesOfClasses()`
`boolean` | `hasContainedNodes()`
`boolean` | `hasDependencyLevels()`
`boolean` | `hasObjectId()`
`boolean` | `hasTypesOfClasses()`
`void` | `setContainedNodes(boolean b)`
`void` | `setDependencyLevels(int dep)`
`void` | `setObjectId(long objectId)`
`void` | `setTypesOfClasses(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.gui.preferences.Preference
`getName, getParent, getValue, hasName, hasParent, hasValue, setName, setParent, setValue`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getContainedNodes

    boolean getContainedNodes()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setContainedNodes

    void setContainedNodes(boolean b)

### hasContainedNodes

    boolean hasContainedNodes()

### getTypesOfClasses

    java.lang.String getTypesOfClasses()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTypesOfClasses

    void setTypesOfClasses(java.lang.String type)

### hasTypesOfClasses

    boolean hasTypesOfClasses()

### getDependencyLevels

    int getDependencyLevels()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDependencyLevels

    void setDependencyLevels(int dep)

### hasDependencyLevels

    boolean hasDependencyLevels()

### getObjectId

    long getObjectId()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjectId

    void setObjectId(long objectId)

### hasObjectId

    boolean hasObjectId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD